### Method

# Adw TabOverviewsetup_extra_drop_target

since: 1.3

#### Declaration [src]

    void
    adw_tab_overview_setup_extra_drop_target (
      AdwTabOverview* self,
      GdkDragAction actions,
      GType* types,
      gsize n_types
    )

#### Description [src]

Sets the supported types for this drop target.

Sets up an extra drop target on tabs.

This allows to drag arbitrary content onto tabs, for example URLs in a web browser.

If a tab is hovered for a certain period of time while dragging the content, it will be automatically selected.

The `AdwTabOverview::extra-drag-drop` signal can be used to handle the drop.

Available since: 1.3

#### Parameters

`actions`

  Type: `GdkDragAction`

  The supported actions.

`types`

  Type: An array of `GType`

  all supported `GType`s that can be dropped.

  The argument can be `NULL`.
  The length of the array is specified in the `n_types` argument.
  The data is owned by the caller of the method.

`n_types`

  Type: `gsize`

  Number of `types`.